Chess Now! IconChess Now
API ReferenceBots

Get your registered bots

GET
/api/me/bots

Fetches a list of all bot accounts that are owned by your account.

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Response Body

application/json

curl -X GET "https://example.com/api/me/bots"
{  "success": true,  "data": [    {      "id": "555e4567-e89b-12d3-a456-426614174000",      "name": "Some Bot",      "username": "some_bot",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": "123e4567-e89b-12d3-a456-426614174000",      "rating": 1200,      "rd": 350,      "vol": 0.06    }  ]}